#include <stdio.h>

#define N 10

void SisestaPunkt(int,int *,int *);   //sisestab 1 punkti koordinaadid massiivi
void ValjastaPunkt(int, int, int);    //trkib 1 punkti koordinaadid massiivis
void Sordi(int [N][2],int);           //jrjestab massiivi x koordinaadi jrgi vikseimast suuremani
float Kolmnurgapindala(float,float);  //leiab kolmnurga pindala
float ristkylikupindala(float,float); //leiab ristkliku pindala

int main (void){
    int i,x,y;
    int punktidearv;
    float pindala=0;
    int punktid[N][2];
    float xl,yl1,yl2;
    printf("Sisesta punktide arv\n");
    scanf("%d", &punktidearv);
    if(punktidearv>10 || punktidearv<0){
        while(punktidearv>10 || punktidearv<0){
            printf("Sisesta punktide arv uuesti (peab olema 0 ja 10 vahel)\n");
            scanf("%d", &punktidearv);
        }
    }
    
   
    for(i=0;i<punktidearv;i++){
        SisestaPunkt(i,&punktid[i][0],&punktid[i][1]);
    }
   
    Sordi(punktid,punktidearv);

    for(i=0;i<punktidearv;i++){
        ValjastaPunkt(i,punktid[i][0],punktid[i][1]);
    }
   
   
    for(i=0;i<punktidearv-1;i++){
        xl=(punktid[i+1][0]-punktid[i][0]);
        if(punktid[i][1]>punktid[i+1][1]){
            yl1=punktid[i][1]-punktid[i+1][1];
            yl2=punktid[i][1]-yl1;
        }else{
            yl1=punktid[i][1+1]-punktid[i][1];
            yl2=punktid[i][1+1]-yl1;
        
        }
        
        
        pindala+=Kolmnurgapindala(xl,yl1);
        pindala+=ristkylikupindala(xl, yl2);
       
    }
   
   
    printf("pindala: %5.2f\n", pindala);
    return 0;
}

void SisestaPunkt(int nr,int *a,int *b){
    int x,y;
    printf("Sisesta punkti nr. %d x koordinaat\n", nr+1);
    scanf("%d",&x);
    if(x<0){
        while(x<0){
            printf("Sisesta punkti nr. %d x koordinaat uuesti (peab olema suurem vi vrdne 0-ga)\n", nr+1);
            scanf("%d",&x);
        }
    }
   
    printf("Sisesta punkti nr. %d y koordinaat\n", nr+1);
    scanf("%d",&y);
    if(y<0){
         while(y<0){
             printf("Sisesta punkti nr. %d x koordinaat uuesti (peab olema suurem vi vrdne 0-ga)\n", nr+1);
             scanf("%d",&y);
         }
    }
    *a=x;
    *b=y;
}

void ValjastaPunkt(int i,int x,int y){
    printf("%d, x=%d, y=%d\n", i+1,x,y);
}

void Sordi(int punktid[N][2],int punktidearv){
    int i,j;
    int abi;
    for(i=0;i<punktidearv-1;i++){
        for(j=0;j<punktidearv-i-1;j++){
            if(punktid[j][0]>punktid[j+1][0]){
                abi=punktid[j][0];
                punktid[j][0]=punktid[j+1][0];
                punktid[j+1][0]=abi;
                abi=punktid[j][1];
                punktid[j][1]=punktid[j+1][1];
                punktid[j+1][1]=abi;
            } 
        }
    }
}

float Kolmnurgapindala(float x,float y){
    float p = x*y/2;
    return p;
}
  
float ristkylikupindala(float x,float y){
    float p = x*y;
    return p;
}
